timsframe.h File Reference

handle a single Bruker's TimsTof frame More...

`#include <memory>`
`#include <QByteArray>`
`#include <vector>`
`#include "../../massspectrum/qualifiedmassspectrum.h"`
`#include "timsframebase.h"`
`#include "../../xic/xic.h"`
`#include "../../msrun/xiccoord/xiccoordtims.h"`

Go to the source code of this file.

## Classes

class | pappso::TimsFrame
struct | pappso::TimsFrame::XicComputeStructure

## Namespaces

| pappso
| tries to keep as much as possible monoisotopes, removing any possible C13 peaks and changes multicharge peaks to monocharge

## Typedefs

typedef std::shared_ptr< TimsFrame > | pappso::TimsFrameSPtr
typedef std::shared_ptr< const TimsFrame > | pappso::TimsFrameCstSPtr

## Detailed Description

handle a single Bruker's TimsTof frame

Date
  23/08/2019

Author
  Olivier Langella

Definition in file timsframe.h.